Bug 593621 - hdr.dsFromHeader() fails with "SystemError" for gpg-pubkeys
Summary: hdr.dsFromHeader() fails with "SystemError" for gpg-pubkeys
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 628883
TreeView+ depends on / blocked
 
Reported: 2010-05-19 10:16 UTC by Panu Matilainen
Modified: 2010-11-10 21:32 UTC (History)
5 users (show)

(edit)
Clone Of: 593553
(edit)
Last Closed: 2010-11-10 21:32:13 UTC


Attachments (Terms of Use)

Description Panu Matilainen 2010-05-19 10:16:07 UTC
+++ This bug was initially created as a clone of Bug #593553 +++

rpm-python-4.8.0-14.fc13.x86_64 on current F-13:

import rpm
for hdr in rpm.TransactionSet().dbMatch("name", "gpg-pubkey"):
    print hdr.dsFromHeader()

Traceback (most recent call last):
  File "<stdin>", line 2, in <module>
SystemError: NULL result without error in PyObject_Call

Slightly different message with rpm-python-4.4.2.3-18.el5 on CentOS 5:

Traceback (most recent call last):
  File "<stdin>", line 2, in ?
SystemError: error return without exception set

rpm-python bug?

This affects rpmlint (DocFilesCheck.py).  I wonder if I could just use hdr.dsOfHeader() instead of hdr.dsFromHeader() there, it doesn't seem to have the same problem (not to mention that even that doesn't have to be done for packages that don't have doc files...)

--- Additional comment from pmatilai@redhat.com on 2010-05-19 02:31:36 EDT ---

Sure it's an rpm-python bug, I'll look into it.

--- Additional comment from pmatilai@redhat.com on 2010-05-19 03:26:34 EDT ---

Fixed upstream now, pulling into Fedora shortly... Looking at rpm 4.4.x code, the actual rpmlint code works on Centos but breaks with the reproducer (its just the print blowing up), right?

hdr.dsOfHeader() and hds.dsFromHeader() are completly different things and can't be used interchangibly. dsOfHeader() returns basically
Provides: %{name} = %{version}-%{release}
whereas dsFromHeader() returns the actual requires/provides/obsoletes/conflicts dependencies.

Comment 3 Panu Matilainen 2010-06-01 09:29:14 UTC
Fixed in rpm-4.8.0-9.el6 now.

Comment 9 releng-rhel@redhat.com 2010-11-10 21:32:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.